Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks
Class AbstractOption

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.AbstractOption

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BlockOption, LeftCurlyOption, LineSeparatorOption, OperatorWrapOption, PadOption, PersistenceOption, RightCurlyOption

public abstract class AbstractOption
extends java.lang.Object
implements java.io.Serializable

Abstract class that represents options.

Author:
  Oliver Burn, Rick Giles
See Also:
  Serialized Form

Constructor Summary
`protected` | `AbstractOption(java.lang.String aStrRep)` Creates a new `AbstractOption` instance.

Method Summary
`AbstractOption` | `decode(java.lang.String aStrRep)` Returns the option specified by a string representation.
`protected abstract java.util.Map` | `getStrToOpt()` Returns the map from string representations to options.
`protected java.lang.Object` | `readResolve()` Ensures that we don't get multiple instances of one AbstractOption during deserialization.
`java.lang.String` | `toString()` Returns the string representation of this AbstractOption.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractOption

    protected AbstractOption(java.lang.String aStrRep)

  Creates a new `AbstractOption` instance.

Parameters:
  `aStrRep` - the string representation

Method Detail

### getStrToOpt

    protected abstract java.util.Map getStrToOpt()

  Returns the map from string representations to options.

  Returns:
    `Map` from strings to options.

### decode

    public AbstractOption decode(java.lang.String aStrRep)

  Returns the option specified by a string representation. If no option exists then null is returned.

  Parameters:
    `aStrRep` - the String representation to parse
  Returns:
    the `AbstractOption` value represented by aStrRep, or null if none exists.

### toString

    public java.lang.String toString()

  Returns the string representation of this AbstractOption.

  See Also:
    `Object`

### readResolve

    protected java.lang.Object readResolve()
                                    throws java.io.ObjectStreamException

  Ensures that we don't get multiple instances of one AbstractOption during deserialization. See Section 3.6 of the Java Object Serialization Specification for details.

  Returns:
    the serialization replacement object
  Throws:
    `java.io.ObjectStreamException` - if a deserialization error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD